Subject: Re: bug#46119: 28.0.50; this-error-recenter

From: Juri Linkov <[email-masked]>
Date: Sun, 31 Jan 2021 11:29:43 +0200

>> Like the existing command scroll-other-window-down bound to 'S-C-M-v',
>> a new command could be named recenter-other-window bound to 'S-C-l'.
> I like that.
>
>> But then no special case is needed for occur/compilation-mode.
>
> I expected someone will ask that; I should write my reason in the previous
> email: I like to see the pulse highlight, as with `next-error-no-select',
> that's why I call `next-error-function' here.
> [I customize `next-error-highlight' and `next-error-highlight-no-select' to
> 3 s]

Woundn't such pulse highlighting be useful for all cases,
not only compilation and occur?

Then you can use:

  (with-selected-window (other-window-for-scrolling)
    (recenter-top-bottom)
    (pulse-momentary-highlight-one-line (point)))

and customize pulse-delay to 3 s, and pulse-iterations to 1.